//loader
var loader = {
	pos_x : 0,
	pos_y : 0
};

loader.init = function(){
	alert("init loader");
	$("#loader").html("");
	var loader = new Image();
	loader.src = "resources/images/loader.gif";
	$("#loader").append(loader);
	alert("end init loader");
}

loader.start = function(position){
	alert("start loader");
	this.setPosition(position);
	$("#loader").show();
	alert("end start loader");
}

loader.stop = function(){
	alert("stop loader");
	$("#loader").hide();
	//$("#os_pause, #os_play").hide();
	//player.hideOSD();
	alert("end stop loader");
}

loader.setPosition = function(position){
	if(typeof(position)!= "undefined" && position == "left"){
		this.pos_x = 45;
		this.pos_y = (720/2)-100;
	}else if(position!="center"){
		this.pos_x = (1280/2)-145;
		this.pos_y = (720/2)-35;
	}else{
		this.pos_x = (1280/2)-50;
		this.pos_y = (720/2)-50;
	}
	$("#loader").css({
		top: this.pos_y + "px",
		left: this.pos_x + "px"
	});
}

//language
var core_data = window.location.search.substr(1);
//alert("cored date: "+core_data);
core_data = core_data.split("&");
core_data_json = {};
$.each(core_data, function(i, elem){
    var temp_arr = elem.split("=");
    //eval("core_data_json."+temp_arr[0]+"=\""+temp_arr[1]+"\"");
	//alert(temp_arr[1]+", "+temp_arr[0]);
	core_data_json[temp_arr[0]] = temp_arr[1];
	//alert(core_data_json[temp_arr[0]]);
});

//translation
isTranslated = function(lang){
	var req_lang = eval("feed_lang."+lang);
	if(typeof(req_lang)!="undefined"){
		return req_lang;
	}else{
		return eval("feed_lang."+default_language);
	}
}

language = isTranslated(core_data_json.lang.substring(0,2));
//default_language = language = "en-GB".substring(0,2);
alert("#languageeeeeeeeeeeeeeeeeeeeeeee: "+language);

loadLanguage = function(lang, callback){
	alert("load language: "+lang);
	$.ajax({
		type: "GET",
		url: language_url+getFeedLanguage(lang)+".js",
		dataType: "json",
		async: false,
		success: function(data){
			alert("success: "+data);
			alert("success: "+lang);
			/*if(typeof(data)=="undefined" || data==null){
				loadLanguage(default_language, callback);
				return;
			}*/
			setDictionary(data, lang);
			callback();
			return;
		},
		error: function(a, b, c){
			alert("none:"+a.status);
		}
	});
}

setDictionary = function(dict, lang){
	dictionary = dict;
	language = lang;
}

getTextFromDictionary = function(word){
	//alert(word+" , "+eval("dictionary."+word)+" , "+dictionary[word]);
	//alert(word+" , "+dictionary+" , "+dictionary[word]);
    var text = eval("dictionary."+word);
    //var text = dictionary[word];
	text = text.replace(/\n/g, "<br />");
    return text;
}

getFeedLanguage = function(lang){
	//alert("#LANGUAGE : "+typeof(lang)+" , "+typeof(eval("feed_lang."+lang))+" , "+feed_lang+" , "+feed_lang[lang]);
	if(typeof(lang)=="undefined"){
		lang = language;
	}
	
				//if(typeof(eval("feed_lang."+lang))!="undefined"){
	return isTranslated(lang);
				/*}
	if(feed_lang[lang]){
		return feed_lang[lang];
	}else{
		return default_language;
	}*/
}

updateDateAndTexts = function(){
	var date = new Date();
	var monthNum = parseInt(date.getMonth(),10)+1;
	$(".time").html(date.getDate() +" "+ getTextFromDictionary("MONTH_"+monthNum) +" "+ date.getFullYear());

	$("#btn_lang").html(getTextFromDictionary("CHANGE_LANGUAGE"));
	$(".info p").html(getTextFromDictionary("WEB_SITE_TEXT"));
	$(".info p.text_qr").html(getTextFromDictionary("ANDROID_APP_TEXT"));
	$("#networkAlert p").html(getTextFromDictionary("NETWORK_ERROR"));

	return true;
}

analytics = function(section){
	if(network.isConnected()){
		section = "/samsung/"+language+"/"+section;
		var randomNum = Math.random() * Math.round(new Date().getTime() / 1000);
	
		alert("RandomNum: " + randomNum + " Language: " + language + " Section: " + section);
		var url = tracking_url+"&utmn="+randomNum+"&guid=ON&utmp="+section;
	
		var xmlhttp = new XMLHttpRequest();
		xmlhttp.onreadystatechange = function() {
			if (xmlhttp.readyState == 4) {
				if (xmlhttp.status == 200 || xmlhttp.status == 304) {
					alert("tracking ok");
				}else {
					alert("tracking error");
					/*if(network.isConnected()){
						alert("network is ok, only track error");
					}else{
						getNetworkAlert();
					}*/
				}
			}
		};
		xmlhttp.open("GET", url, true);
		xmlhttp.send();
	}else{
		alert("not tracking possible");
	}
}

getNetworkAlert = function(){
	alert("getNetworkAlert");
	viewing_page_id = 5;
	$("#footer").hide();
	km.unlock();
	loader.stop();
	$("#networkAlert").show();
}

hideNetworkAlert = function(){
    $("#networkAlert").hide();
}

getFormattedTime = function(ms){
	min = 0;
	sec = "00";
	if(ms!=null && ms!=-1){
		min = Math.floor((ms % 3600000) / 60000);
	    sec = Math.floor((ms % 60000) / 1000);
		if(sec<10){
			sec = "0"+sec;
		}
	}
	//alert("timing: "+min+":"+sec);
	return min+":"+sec;
}

cleanJSON = function(data){
	data = data.replace(/\n/g, "");
	data = data.replace(/\t/g, "");
	data = data.replace(/\\"/g, "\"");
	data = data.substring(7, data.length-4);
	data = data.replace(/\u0027/, "'");
	data = $.parseJSON(data);
	return data;
}