var Main = {									// Main object
}

Main.actualXHR = null;

Main.onLoad = function () {						// called by <body>'s onload event
	var self = this;
	alert("First language: "+language);
	//$(document).ready(function(){
	
	/*alert = function(val){
		if($("#log").length==0){
			$console = $("<pre></pre>").attr("id", "log").css({"position": "absolute", "top": "20px", "right": "40px", "width": "1100px", "height": "350px", "overflow-x":"hidden", "color": "#000", "background": "#fff", "font-size": "12px", "z-index": "200000", "opacity":"0.8"});
			$console.appendTo("body");
		}
		$("#log").prepend(val+"\n");
		return false;
	}*/
		
		loader.init();
		loader.start();
		network.init();
		tv.init();
		audio.init();
		player.init();
		
		loadLanguage(language, function(){
			self.initPage("home");
		});
		window.onShow = Main.onShowEvent;
	//});
	
	document.getElementById("anchor").focus();	// Focus to Anchor for handling key inputs from remote controller
	widgetAPI.sendReadyEvent();					// Send ready message to Application Manager
}
Main.onUnload = function()
{
    player.deinit();
}

Main.onShowEvent = function(){
	pluginAPI = new Common.API.Plugin();
	pluginAPI.unregistKey(tvKey.KEY_VOL_MENU);
	pluginAPI.unregistKey(tvKey.KEY_VOL_UP);
	pluginAPI.unregistKey(tvKey.KEY_VOL_DOWN);
	pluginAPI.unregistKey(tvKey.KEY_MUTE);
	pluginAPI.unregistKey(tvKey.KEY_INFOLINK);
	pluginAPI.unregistKey(tvKey.KEY_TOOLS);
	pluginAPI.unregistKey(tvKey.KEY_SOURCE);
	pluginAPI.unregistKey(tvKey.KEY_CONTENT);
	pluginAPI.unregistKey(tvKey.KEY_EXIT);
	pluginAPI.unregistKey(tvKey.KEY_GUIDE);
	pluginAPI.unregistKey(tvKey.KEY_CHLIST);
	pluginAPI.setOffScreenSaver(); // off screen saver
	pluginAPI.registKey(246);
	
	/*pluginAPI.SetBannerState(1);
	var nnaviPlugin = document.getElementById('pluginNNavi');
	nnaviPlugin.SetBannerState(2);*/
}

Main.changePage = function(name){
	$("#page_container div[class^=page]").hide();
	$("#page_container div.page_"+name).show();
	if(name == 'player'){
		audio.showInfo(1);
	}
}
Main.initPage = function(name){
	switch(name){
		case "home":
			alert("PAGE HOME");
			viewing_page_id = 1;
			selected_category = 0;
			hover_category = 1;
			page_movie = 1;
			total_pages_movie = 1;
			selected_movie = 0;
			hover_movie = 1;
			//player.hideOSD();
			$("#onscreen_details, #cinetrailer_logo").hide();
			$("#btn_info").removeClass("focused");
			this.getCategories();
			updateDateAndTexts();
			Main.getBanner();
			break;
		case "info":
            viewing_page_id = 2;
			analytics("info-page");
			break;
		case "language":
			viewing_page_id = 3;
			Main.loadFlags();
			analytics("language-page");
			break;
		case "player":
			viewing_page_id = 4;
			alert("PAGE PLAYER");
			Main.getTrailers(Main.getSelectedMovie());
			break;
	}
	Main.updateFooter();
	this.changePage(name);
	return true;
}

Main.backFromTrailer = function(){
	loader.stop();
	//player.hideOSD();
	$("#onscreen_details, #cinetrailer_logo").hide();
	//audio.hideInfo();
	Main.changePage("home");
	viewing_page_id = 1;
	Main.updateFooter();
}

Main.abortCall = function(){
	alert("called");
	if(Main.actualXHR!=null && Main.actualXHR.readyState!=4 && Main.actualXHR.readyState!=0){
			alert("aborting");
		Main.actualXHR.abort();
			alert("aborted");
		Main.actualXHR = null;
	}
}

Main.getCategories = function(){
	if(network.isConnected()){
		km.lock();
		loader.start("left");
		var self = this;
		
		
		//ajax
		var url_data = category_url+getFeedLanguage()+".js";
		Main.actualXHR = null;
		Main.actualXHR = new XMLHttpRequest();
		                                 
		Main.actualXHR.onreadystatechange  = function(){
            if(Main.actualXHR.readyState == 4 && Main.actualXHR.status == 200){
				
				clearTimeout(http_request_cat_timeout);
				var data = $.parseJSON(Main.actualXHR.responseText);
				
				$("#list_categories").html("");
				$.each(data, function(i, cat){
					$("#list_categories").append("<div id=\"cat_"+cat.id+"\" class=\"category\">"+cat.name+"</div>");
					if(i==0){
						selected_category = cat.id;
					}
				});
				hover_category = 1;
				$("#list_categories div:nth-child(1)").addClass("selected");
				loader.stop();
				$("#btn_info").show();
				Main.actualXHR = null;
				self.getMovies();

            }
		};
		Main.actualXHR.open('GET', url_data, true);
		Main.actualXHR.setRequestHeader('Content-type', 'application/json; charset=utf-8');
		Main.actualXHR.send();
		 
		var http_request_cat_timeout = setTimeout(function(){
			Main.abortCall();
			getNetworkAlert();
		}, 5000);
		/*
		//ajax
		$.ajax({
			type: "GET",
			url: category_url+getFeedLanguage()+".js",
			dataType: "json",
			success: function(data){
				$("#list_categories").html("");
				$.each(data, function(i, cat){
					$("#list_categories").append("<div id=\"cat_"+cat.id+"\" class=\"category\">"+cat.name+"</div>");
					if(i==0){
						selected_category = cat.id;
					}
				});
				hover_category = 1;
				$("#list_categories div:nth-child(1)").addClass("selected");
				loader.stop();
				$("#btn_info").show();
				self.getMovies();
			},
			error: function(){
				alert("categories error!");
				getNetworkAlert();
			}
		});
		
		
		
		*/
	}else{
		getNetworkAlert();
	}
	
}

Main.getSelectedCategory = function(){
	var cat_id = ($("#list_categories div.focused").attr("id")).substr(4);
	return cat_id;
}

Main.selectCategory = function(category){
	$("#list_categories #cat_"+selected_category).removeClass("selected");
	selected_category = category;
	$("#list_categories #cat_"+selected_category).addClass("selected");
	return true;
}

Main.getMovies = function(category){
	if(network.isConnected()){
		km.lock();
		loader.start();
		if(typeof(category)=="undefined"){
			category = selected_category;
		}
		analytics(category_track_name[category]);
		var self = this;
		
		//ajax
		var url_data = movies_url+"?region=\""+getFeedLanguage()+"\"&page="+page_movie+"&mode="+category;
		Main.actualXHR = null;
		Main.actualXHR = new XMLHttpRequest();
		                                 
		Main.actualXHR.onreadystatechange  = function(){
            if(Main.actualXHR.readyState == 4 && Main.actualXHR.status == 200){
				
				clearTimeout(http_request_mov_timeout);
				var jsondata = cleanJSON(Main.actualXHR.responseText);
				
				self.selectCategory(category);
				total_pages_movie = jsondata.page_count;
				$("#list_movies").html("");
				$.each(jsondata.movies, function(i, movie){
					
					tmp_date = (movie.premiere_date).substring(2, (movie.premiere_date).length-2);
					tmp_date = eval("new "+tmp_date);
					$("#list_movies").append("<div id=\"movie_"+movie.id_movie+"\" class=\"movie\"><div class=\"cover_small\"><img src=\""+movie.video_still_small+"\" /></div><div class=\"details\"><div class=\"title\">"+movie.title+"</div><div class=\"year\">"+tmp_date.getFullYear()+"</div><div class=\"type\">"+movie.genres+"</div></div></div>");
					
					$("#list_movies div.movie:nth-child("+(i+1)+")").data("title", movie.title);
					$("#list_movies div.movie:nth-child("+(i+1)+")").data("video_still_large", movie.video_still_large);
					$("#list_movies div.movie:nth-child("+(i+1)+")").data("num_video", movie.num_video);
					$("#list_movies div.movie:nth-child("+(i+1)+")").data("poster", movie.poster);
					$("#list_movies div.movie:nth-child("+(i+1)+")").data("premiere", tmp_date.getDate() + "/" + (tmp_date.getMonth() + 1) + "/" + tmp_date.getFullYear());
					
				});
				Main.updateArrows();
				$("#list_movies div.movie:nth-child("+hover_movie+")").addClass("focused");
				
				Main.actualXHR = null;
				Main.updateMovieDetails();
				loader.stop();
				km.unlock();

            }
		};
		Main.actualXHR.open('GET', url_data, true);
		Main.actualXHR.setRequestHeader('Content-type', 'application/json; charset=utf-8');
		Main.actualXHR.send();
		 
		var http_request_mov_timeout = setTimeout(function(){
			Main.abortCall();
			getNetworkAlert();
		}, 5000);
		
		
		
		/*var oldXHR;
		$.ajax({
			type: "GET",
			url: movies_url+"?region=\""+getFeedLanguage()+"\"&page="+page_movie+"&mode="+category,
			contentType: "application/json; charset=utf-8",
			dataType: "jsonp",
			beforeSend: function(xhr, options){
				alert("before send");
				alert("XHR is "+xhr);
				oldXHR = xhr;
			},
			success: function(data){
				//clearTimeout(http_request_Timeout);
				
				self.selectCategory(category);
				jsondata = $.parseJSON(data.d);
				total_pages_movie = jsondata.page_count;
				$("#list_movies").html("");
				$.each(jsondata.movies, function(i, movie){
					
					tmp_date = (movie.premiere_date).substring(1, (movie.premiere_date).length-1);
					tmp_date = eval("new "+tmp_date);
					$("#list_movies").append("<div id=\"movie_"+movie.id_movie+"\" class=\"movie\"><div class=\"cover_small\"><img src=\""+movie.video_still_small+"\" /></div><div class=\"details\"><div class=\"title\">"+movie.title+"</div><div class=\"year\">"+tmp_date.getFullYear()+"</div><div class=\"type\">"+movie.genres+"</div></div></div>");
					
					$("#list_movies div.movie:nth-child("+(i+1)+")").data("title", movie.title);
					$("#list_movies div.movie:nth-child("+(i+1)+")").data("video_still_large", movie.video_still_large);
					$("#list_movies div.movie:nth-child("+(i+1)+")").data("num_video", movie.num_video);
					$("#list_movies div.movie:nth-child("+(i+1)+")").data("poster", movie.poster);
					$("#list_movies div.movie:nth-child("+(i+1)+")").data("premiere", tmp_date.getDate() + "/" + (tmp_date.getMonth() + 1) + "/" + tmp_date.getFullYear());
					
				});
				Main.updateArrows();
				$("#list_movies div.movie:nth-child("+hover_movie+")").addClass("focused");
				Main.updateMovieDetails();
				loader.stop();
				km.unlock();
			}
		});
		
			
			,
			error: function(a){
				alert("movies error!");
				alert(a.status);
				getNetworkAlert();
			}
			
			
			
			
		});*/
		
	}else{
		getNetworkAlert();
	}
}
Main.getSelectedMovie = function(){
	var movie_id = ($("#list_movies div.focused").attr("id")).substr(6);
	return movie_id; 
}

Main.getTrailers = function(id_movie){
	if(network.isConnected()){
		km.lock();
		loader.start("center");
		
		var url_data = trailers_url+"?region=\""+getFeedLanguage()+"\"&id_movie="+id_movie;
		Main.actualXHR = null;
		Main.actualXHR = new XMLHttpRequest();
		                                 
		Main.actualXHR.onreadystatechange  = function(){
            if(Main.actualXHR.readyState == 4 && Main.actualXHR.status == 200){
				
				clearTimeout(http_request_cat_timeout);
				var data = cleanJSON(Main.actualXHR.responseText);
				
				//alert(data.d);
				analytics(category_track_name[selected_category]+"/"+($("#list_movies div.focused").data("title")).replace(/ /g, "-"));
				//jsondata = $.parseJSON(data);
				//jsondata = data.d;
				playlist_trailers = [];
				$.each(data.trailers, function(i, trailer){
					playlist_trailers.push(trailer.url);
				});
				choosed_trailer = 0;
				if(pages[viewing_page_id]=="player"){
					alert("REAL playVideo");
					player.playVideo();
				}
				Main.actualXHR = null;
				loader.stop();
				km.unlock();

            }
		};
		Main.actualXHR.open('GET', url_data, true);
		Main.actualXHR.setRequestHeader('Content-type', 'application/json; charset=utf-8');
		Main.actualXHR.send();
		 
		var http_request_cat_timeout = setTimeout(function(){
			Main.abortCall();
			getNetworkAlert();
		}, 5000);
		
		/*$.ajax({
			type: "GET",
			url: trailers_url+"?region=\""+getFeedLanguage()+"\"&id_movie="+id_movie,
			contentType: "application/json; charset=utf-8",
			dataType: "jsonp",
			success: function(data){
				analytics(category_track_name[selected_category]+"/"+($("#list_movies div.focused").data("title")).replace(/ /g, "-"));
				jsondata = $.parseJSON(data.d);
				playlist_trailers = [];
				$.each(jsondata.trailers, function(i, trailer){
					playlist_trailers.push(trailer.url);
				});
				choosed_trailer = 0;
				player.playVideo();
				loader.stop();
				km.unlock();
			},
			error: function(a){
				alert("trailers error!");
				alert(a.status);
				getNetworkAlert();
			}
		});*/
	}else{
		getNetworkAlert();
	}
}

Main.updateFooter = function(){
	if( footers[viewing_page_id] != "" ){
		alert(footers_url+ getFeedLanguage() +"/"+ footers[viewing_page_id]);
		if(pages[viewing_page_id]=="home_category" && hover_category==0){
			alert(footers_url + getFeedLanguage() + "/" + btn_info_footer);
			$("#footer").load(footers_url + getFeedLanguage() + "/" + btn_info_footer, function(response, status){
				if(status=="error"){
					//default footer
					alert("err");
					$("#footer").load(footers_url+"uk/"+btn_info_footer);
				}
			});
		}else{
			$("#footer").load(footers_url + getFeedLanguage() + "/" + footers[viewing_page_id], function(response, status){
				if(status=="error"){
					//default footer
					$("#footer").load(footers_url+"uk/"+footers[viewing_page_id]);
				}
			});
		}
		$("#footer").show();
	}else{
		$("#footer").hide();
	}
}

Main.getBanner = function(){
	if(network.isConnected){
		//var banner_dyn_url = banner_url+"&region="+getFeedLanguage()+"&cb="+Math.floor(Math.random()*99999999999)+"&n=ac1bbe52";
		var banner_dyn_url = banner_url+Math.floor(Math.random()*99999999999)+"&t=region%3D"+getFeedLanguage();
		
		var banner = $("<img>").attr("src", banner_dyn_url);
		$(".banner").html(banner);
	}else {
		alert("no banner");
	}
}

Main.updateMovieDetails = function(){
	var imgtag = $("<img />").attr("src", $("#list_movies div.movie:nth-child("+hover_movie+")").data("video_still_large") );
	$(".movie_details .thumb_big").html(imgtag);
	$(".movie_details .title").html( $("#list_movies div.movie:nth-child("+hover_movie+")").data("title") );
	if(parseInt($("#list_movies div.movie:nth-child("+hover_movie+")").data("num_video"), 10)==1){
		var video_txt = getTextFromDictionary("VIDEO");
	}else{
		var video_txt = getTextFromDictionary("VIDEOS");
	}
	$(".movie_details .trailers_number").html( $("#list_movies div.movie:nth-child("+hover_movie+")").data("num_video") + " " + video_txt );
}

Main.updateArrows = function(){
	km.lock();
	if(total_pages_movie == 1){
		$("#list_movies_area [id^='arrow_']").css("visibility", "hidden");
		km.unlock();
		return true;
	}
	if(page_movie == 1){
		$("#list_movies_area #arrow_up").css("visibility", "hidden");
		$("#list_movies_area #arrow_down").css("visibility", "visible");
	}
	if(page_movie == total_pages_movie){
		$("#list_movies_area #arrow_down").css("visibility", "hidden");
		$("#list_movies_area #arrow_up").css("visibility", "visible");
	}
	if(page_movie > 1 && page_movie < total_pages_movie){
		$("#list_movies_area [id^='arrow_']").css("visibility", "visible");
	}
	km.unlock();
	return true;
}

Main.loadFlags = function(){
	if(network.isConnected()){
		km.lock();
		loader.start("center");
		var self = this;
		//ajax
		$.ajax({
			type: "GET",
			url: flag_url,
			dataType: "json",
			success: function(data){
				$("#flag_list").html("");
				$.each(data, function(i, flag){
					$("#flag_list").append("<div class=\"flag\" id=\"flag_"+flag.id+"\"><img src=\""+flag.icon+"\" /><p>"+flag.name+"</p></div>");
					alert(flag.id+"=="+language);
					if(flag.id==language){
						hover_flag = i+1;
						$("#flag_list #flag_"+flag.id).addClass("focused");
					}
				});
				loader.stop();
				km.unlock();
			},
			error: function(){
				alert("flags error!");
				getNetworkAlert();
			}
		});
	}else{
		getNetworkAlert();
	}
}

Main.setLanguage = function(){
	loadLanguage(($("#flag_list .focused").attr("id")).replace("flag_", ""), function(){});
}

Main.keyDown = function(){						// Key handler
	km.getMove(event.keyCode);
	return true;
}